Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZRegion Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| fill (&$region_array)
| delete ( $id=false)
| id ()
| name ()
| setName ( $value)
| countryId ()
| setCountryId ( $value)
| Abbreviation ()
| setAbbreviation ( $value)
| hasVAT ()
| setHasVAT ( $value)
| removed ()
| setRemoved ( $value)

## Static Public Member Functions
static & | getAllCount ( $search="")
static & | getAll ( $as_object=true, $search="", $offset=0, $max=-1)
static & | getAllArray ()
static & | getCountryArray ( $RequestedCountry=240)

## Public Attributes
| $ID
| $CountryID
| $Name
| $Abbreviation
| $HasTax
| $Removed

## Detailed Description

! eZAddress eZRegion handles countries.

Definition at line 38 of file ezregion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZRegion::__construct | ( |  | $id = `""` | ) |

Constructs a new eZRegion object.

Definition at line 43 of file ezregion.php.

References $ID, $id, and fill().

## Member Function Documentation

## ◆ Abbreviation()

eZRegion::Abbreviation | ( |  | ) |

Returns the abrev of a region.

Definition at line 309 of file ezregion.php.

References $Abbreviation.

Referenced by fill(), and setAbbreviation().

## ◆ countryId()

eZRegion::countryId | ( |  | ) |

Returns the Id of the country.

Definition at line 293 of file ezregion.php.

References $CountryID.

## ◆ delete()

eZRegion::delete | ( |  | $id = `false` | ) |

Sletter adressen med ID == $id;

Definition at line 226 of file ezregion.php.

References $db, $ID, $id, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ fill()

eZRegion::fill | ( | & | $region_array | ) |

Extracts the information from the array and puts it in the object.

Definition at line 110 of file ezregion.php.

References $db, Abbreviation(), eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ get()

eZRegion::get | ( |  | $id = `""` | ) |

Fetches a region with object id==$id;

Definition at line 93 of file ezregion.php.

References $db, $id, fill(), and eZDB\globalDatabase().

## ◆ getAll()

static& eZRegion::getAll | ( |  | $as_object = `true`,
|  |  | $search = `""`,
|  |  | $offset = `0`,
|  |  | $max = `-1`
| ) |  |
| static

Returns every region as a eZRegion object

Definition at line 146 of file ezregion.php.

References $db, $limit, $offset, $query, $region, $search, and eZDB\globalDatabase().

## ◆ getAllArray()

static& eZRegion::getAllArray | ( |  | ) |
| static

Returns every region as an array. This function is faster then the one above.

Definition at line 199 of file ezregion.php.

References $db, $region, and eZDB\globalDatabase().

## ◆ getAllCount()

static& eZRegion::getAllCount | ( |  | $search = `""` | ) |
| static

Returns the total number of regions

Definition at line 125 of file ezregion.php.

References $db, $query, $search, and eZDB\globalDatabase().

## ◆ getCountryArray()

static& eZRegion::getCountryArray | ( |  | $RequestedCountry = `240` | ) |
| static

Definition at line 238 of file ezregion.php.

References $db, and eZDB\globalDatabase().

## ◆ hasVAT()

eZRegion::hasVAT | ( |  | ) |

Returns the tax value.

Definition at line 325 of file ezregion.php.

## ◆ id()

eZRegion::id | ( |  | ) |

Returns the object ID.

Definition at line 268 of file ezregion.php.

References $ID.

## ◆ name()

eZRegion::name | ( |  | ) |

Returns the name of a region.

Definition at line 277 of file ezregion.php.

References $Name.

## ◆ removed()

eZRegion::removed | ( |  | ) |

Returns a boolian value (yes or no, 1 or 0) if the region is removed from use.

Definition at line 347 of file ezregion.php.

References $Removed.

## ◆ setAbbreviation()

eZRegion::setAbbreviation | ( |  | $value | ) |

Sets the Abreviation of the region.

Definition at line 317 of file ezregion.php.

References Abbreviation().

## ◆ setCountryId()

eZRegion::setCountryId | ( |  | $value | ) |

Sets the Id of the country.

Definition at line 301 of file ezregion.php.

## ◆ setHasVAT()

eZRegion::setHasVAT | ( |  | $value | ) |

Sets the tax value for the region.

Definition at line 336 of file ezregion.php.

## ◆ setName()

eZRegion::setName | ( |  | $value | ) |

Sets the name of the region.

Definition at line 285 of file ezregion.php.

References Name.

## ◆ setRemoved()

eZRegion::setRemoved | ( |  | $value | ) |

Sets the boolian for Removed for the region if it is removed from use.

Definition at line 355 of file ezregion.php.

## ◆ store()

eZRegion::store | ( |  | ) |

Stores a region to the database.

Definition at line 59 of file ezregion.php.

References $db, $name, $res, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Abbreviation

eZRegion::$Abbreviation

Definition at line 363 of file ezregion.php.

Referenced by Abbreviation().

## ◆ $CountryID

eZRegion::$CountryID

Definition at line 361 of file ezregion.php.

Referenced by countryId().

## ◆ $HasTax

eZRegion::$HasTax

Definition at line 364 of file ezregion.php.

## ◆ $ID

eZRegion::$ID

Definition at line 360 of file ezregion.php.

Referenced by __construct(), delete(), and id().

## ◆ $Name

eZRegion::$Name

Definition at line 362 of file ezregion.php.

Referenced by name().

## ◆ $Removed

eZRegion::$Removed

Definition at line 365 of file ezregion.php.

Referenced by removed().

The documentation for this class was generated from the following file:

- ezregion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.